#
# spec file for package
#
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libdvdcss
Version:        1.2.10
Release:        7.2
License:        GPL
Summary:        A library designed for accessing encrypted DVDs
Url:            http://developers.videolan.org/libdvdcss/
Group:          Productivity/Multimedia/Other
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Packager: 	Dominique Leuenberger <dominique-rpm@leuenberger.net>

%description
libdvdcss is a simple library designed for accessing DVDs like a block device without having to bother about the decryption.

%package devel
Summary:        Development libraries for libdvdCSS - access DVDs without bothering about the encryption
Group:          Development/Libraries/C and C++
Requires:       libdvdcss

%description devel
The required header and symbol files to link agains libdvdcss

%prep
%setup -q

%build
./bootstrap
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-shared --enable-static
make %{?jobs:-j %jobs}


%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libdvdcss.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/dvdcss
%{_libdir}/libdvdcss.a
%exclude %{_libdir}/libdvdcss.la
%if %suse_version >= 1010
%{_libdir}/libdvdcss.so
%{_libdir}/pkgconfig/libdvdcss.pc
%endif

%changelog
* Tue Apr 27 2010 root@localhost
- BuildRequire pkg-config
- Cleaned the spec file with spec-cleaner
- Require the main-package from the -devel package.
